Kwalitee Issues

has_readme

Add a README to the distribution. It should contain a quick description of your module and how to install it.

has_meta_json

Add a META.json to the distribution. Your buildtool should be able to autogenerate it.

meta_yml_declares_perl_version

If you are using Build.PL define the {requires}{perl} = VERSION field. If you are using MakeMaker (Makefile.PL) you should upgrade ExtUtils::MakeMaker to 6.48 and use MIN_PERL_VERSION parameter. Perl::MinimumVersion can help you determine which version of Perl your module needs.

meta_yml_has_provides

Add all modules contained in this distribution to the META.yml field 'provides'. Module::Build or Dist::Zilla::Plugin::MetaProvides do this automatically for you.

Modules

Name Abstract Version View
Devel::ebug A simple, extensible Perl debugger 0.57 metacpan
Devel::ebug::Backend::Plugin::ActionPoints 0.57 metacpan
Devel::ebug::Backend::Plugin::Basic 0.57 metacpan
Devel::ebug::Backend::Plugin::Codelines 0.57 metacpan
Devel::ebug::Backend::Plugin::Commands 0.57 metacpan
Devel::ebug::Backend::Plugin::Eval 0.57 metacpan
Devel::ebug::Backend::Plugin::Filenames 0.57 metacpan
Devel::ebug::Backend::Plugin::Output 0.57 metacpan
Devel::ebug::Backend::Plugin::Pad 0.57 metacpan
Devel::ebug::Backend::Plugin::Ping 0.57 metacpan
Devel::ebug::Backend::Plugin::Run 0.57 metacpan
Devel::ebug::Backend::Plugin::StackTrace 0.57 metacpan
Devel::ebug::Console Console front end to Devel::ebug 0.57 metacpan
Devel::ebug::Plugin::ActionPoints 0.57 metacpan
Devel::ebug::Plugin::Basic 0.57 metacpan
Devel::ebug::Plugin::Codelines 0.57 metacpan
Devel::ebug::Plugin::Eval 0.57 metacpan
Devel::ebug::Plugin::Filenames 0.57 metacpan
Devel::ebug::Plugin::Output 0.57 metacpan
Devel::ebug::Plugin::Pad 0.57 metacpan
Devel::ebug::Plugin::Run 0.57 metacpan
Devel::ebug::Plugin::StackTrace 0.57 metacpan

Provides

Name File View
DB::fake lib/Devel/ebug/Backend.pm metacpan

Other Files

MANIFEST metacpan
META.yml metacpan
Makefile.PL metacpan
cpanfile metacpan
dist.ini metacpan